package com.ruoyi.warehouse.domain;

import jakarta.validation.constraints.NotBlank;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

public class ProductInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "产品ID")
    private Long id;

    private String productCode;

    @Excel(name = "产品名称")
    private String productName;

    @Excel(name = "品牌")
    private String brand;

    @Excel(name = "类别")
    private String category;

    @Excel(name = "规格型号")
    private String spec;

    @Excel(name = "单位")
    private String unit;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getProductCode()
    {
        return productCode;
    }

    public void setProductCode(String productCode)
    {
        this.productCode = productCode;
    }

    @NotBlank(message = "产品名称不能为空")
    public String getProductName()
    {
        return productName;
    }

    public void setProductName(String productName)
    {
        this.productName = productName;
    }

    public String getSpec()
    {
        return spec;
    }

    public void setSpec(String spec)
    {
        this.spec = spec;
    }

    public String getUnit()
    {
        return unit;
    }

    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getBrand()
    {
        return brand;
    }

    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public String getCategory()
    {
        return category;
    }

    public void setCategory(String category)
    {
        this.category = category;
    }
}
